kio Library: KIconDialog Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KIconDialog Class Reference

Dialog for interactive selection of icons. An icon selection dialog. More...

`#include <kicondialog.h>`

Inheritance diagram for KIconDialog:

[legend]
Collaboration diagram for KIconDialog:

[legend]
List of all members.

## Signals
void | newIconName (const QString &)
## Public Member Functions
| KIconDialog (QWidget *parent=0L, const char *name=0L)
| KIconDialog (KIconLoader *loader, QWidget *parent=0, const char *name=0)
| ~KIconDialog ()
void | setStrictIconSize (bool b)
bool | strictIconSize () const
void | setCustomLocation (const QString &location)
void | setIconSize (int size)
int | iconSize () const
QString | selectIcon (KIcon::Group group=KIcon::Desktop, KIcon::Context context=KIcon::Application, bool user=false)
void | setup (KIcon::Group group, KIcon::Context context=KIcon::Application, bool strictIconSize=false, int iconSize=0, bool user=false)
void | setup (KIcon::Group group, KIcon::Context context, bool strictIconSize, int iconSize, bool user, bool lockUser, bool lockCustomDir)
QString | openDialog ()
void | showDialog ()
## Static Public Member Functions
static QString | getIcon (KIcon::Group group=KIcon::Desktop, KIcon::Context context=KIcon::Application, bool strictIconSize=false, int iconSize=0, bool user=false, QWidget *parent=0, const QString &caption=QString::null)
## Protected Slots
void | slotOk ()
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)

## Detailed Description

Dialog for interactive selection of icons. An icon selection dialog.

Use the function getIcon() let the user select an icon.

Definition at line 91 of file kicondialog.h.

## Constructor & Destructor Documentation

KIconDialog::KIconDialog | ( | QWidget * | parent = `0L`,
|  | const char * | name = `0L`
| ) |

| Constructs an icon selection dialog using the global iconloader. Definition at line 238 of file kicondialog.cpp. References KGlobal::iconLoader().

KIconDialog::KIconDialog | ( | KIconLoader * | loader,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |

| Constructs an icon selection dialog using a specific iconloader. Definition at line 246 of file kicondialog.cpp.

KIconDialog::~KIconDialog | ( |  | ) |

| Destructs the dialog. Definition at line 342 of file kicondialog.cpp.

## Member Function Documentation

void KIconDialog::setStrictIconSize | ( | bool | b | ) |

| Sets a strict icon size policy for allowed icons. When true, only icons of the specified group's size in getIcon() are shown. When false, icons not available at the desired group's size will also be selectable. Definition at line 383 of file kicondialog.cpp.

bool KIconDialog::strictIconSize | ( |  | ) | const

| Returns true if a strict icon size policy is set. Definition at line 388 of file kicondialog.cpp.

void KIconDialog::setCustomLocation | ( | const QString & | location | ) |

| sets a custom icon directory Since: 3.1 Definition at line 449 of file kicondialog.cpp. Referenced by KIconButton::setIcon().

void KIconDialog::setIconSize | ( | int | size | ) |

| Sets the size of the icons to be shown / selected. See also: KIcon::StdSizes iconSize Definition at line 393 of file kicondialog.cpp.

int KIconDialog::iconSize | ( |  | ) | const

| Returns the iconsize set via setIconSize() or 0, if the default iconsize will be used. Definition at line 402 of file kicondialog.cpp. Referenced by KIconButton::setIconSize().

QString KIconDialog::selectIcon | ( | KIcon::Group | group = `KIcon::Desktop`,
|  | KIcon::Context | context = `KIcon::Application`,
|  | bool | user = `false`
| ) |

| Deprecated: in KDE 3.0, use the static method getIcon instead. Definition at line 409 of file kicondialog.cpp. References openDialog(), and setup().

void KIconDialog::setup | ( | KIcon::Group | group,
|  | KIcon::Context | context = `KIcon::Application`,
|  | bool | strictIconSize = `false`,
|  | int | iconSize = `0`,
|  | bool | user = `false`
| ) |

| Allows you to set the same parameters as in the class method getIcon(). Definition at line 416 of file kicondialog.cpp. References QRadioButton::setChecked(), and QComboBox::setCurrentItem(). Referenced by getIcon(), and selectIcon().

void KIconDialog::setup | ( | KIcon::Group | group,
|  | KIcon::Context | context,
|  | bool | strictIconSize,
|  | int | iconSize,
|  | bool | user,
|  | bool | lockUser,
|  | bool | lockCustomDir
| ) |

| Allows you to set the same parameters as in the class method getIcon(), as well as two additional parameters to lock the choice between system and user dirs and to lock the custom user dir itself. Since: 3.3 Definition at line 430 of file kicondialog.cpp. References QRadioButton::setChecked(), and QComboBox::setCurrentItem().

QString KIconDialog::openDialog | ( |  | ) |

| exec()utes this modal dialog and returns the name of the selected icon, or QString::null if the dialog was aborted. Returns: the name of the icon, suitable for loading with KIconLoader. See also: getIcon Definition at line 454 of file kicondialog.cpp. References QFileInfo::baseName(), QDialog::exec(), KIconCanvas::getCurrent(), and QString::isEmpty(). Referenced by getIcon(), and selectIcon().

void KIconDialog::showDialog | ( |  | ) |

| show()es this dialog and emits a newIcon(const QString&) signal when successful. QString::null will be emitted if the dialog was aborted. Definition at line 471 of file kicondialog.cpp. References QDialog::setModal(), and QDialog::show().

QString KIconDialog::getIcon | ( | KIcon::Group | group = `KIcon::Desktop`,
|  | KIcon::Context | context = `KIcon::Application`,
|  | bool | strictIconSize = `false`,
|  | int | iconSize = `0`,
|  | bool | user = `false`,
|  | QWidget * | parent = `0`,
|  | const QString & | caption = `QString::null`
| ) | `[static]`

  | Pops up the dialog an lets the user select an icon. Parameters:
  | group | The icon group this icon is intended for. Providing the group shows the icons in the dialog with the same appearance as when used outside the dialog.
  | context | The initial icon context. Initially, the icons having this context are shown in the dialog. The user can change this.
  | strictIconSize | When true, only icons of the specified group's size are shown, otherwise icon not available in the desired group's size will also be selectable.
  | iconSize | the size of the icons -- the default of the icongroup if set to 0
  | user | Begin with the "user icons" instead of "system icons".
  | parent | The parent widget of the dialog.
  | caption | The caption to use for the dialog.
Returns: The name of the icon, suitable for loading with KIconLoader. Version: New in 3.0 Definition at line 499 of file kicondialog.cpp. References openDialog(), KDialog::setCaption(), and setup().

The documentation for this class was generated from the following files:

- kicondialog.h
- kicondialog.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:24:54 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003